# KiteUtils

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://ufechner7.github.io/KiteUtils.jl/stable)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://ufechner7.github.io/KiteUtils.jl/dev)
[![Build Status](https://github.com/ufechner7/KiteUtils.jl/actions/workflows/CI.yml/badge.svg?branch=main)](https://github.com/ufechner7/KiteUtils.jl/actions/workflows/CI.yml?query=branch%3Amain)
[![Coverage](https://codecov.io/gh/ufechner7/KiteUtils.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/ufechner7/KiteUtils.jl)

Utilities for simulating kite power systems.

## Provides 

- functions for coordinate system transformations
- functions for reading configuration files
- functions for reading and writing log files
- types for the state of a kite power system, for logfiles and for configuration data

## Related
- The application [KiteViewer](https://github.com/ufechner7/KiteViewer)
- the package [KiteModels](https://github.com/ufechner7/KiteModels.jl)
- the package [KitePodModels](https://github.com/aenarete/KitePodModels.jl)
- the package [KiteViewers](https://github.com/aenarete/KiteViewers.jl)

**Documentation** [Stable Version](https://ufechner7.github.io/KiteUtils.jl/stable)

Author: Uwe Fechner (uwe.fechner.msc@gmail.com)
